Index: src/TAGS
===================================================================
--- src/TAGS	(revision 69eb71ca95b6ddd8113c4c58130d3a649792ac26)
+++ src/TAGS	(revision 69eb71ca95b6ddd8113c4c58130d3a649792ac26)
@@ -0,0 +1,376 @@
+
+
+analyzer.cpp,17
+int main(23,516
+
+
+atom.cpp,262
+atom::atom(13,258
+atom::~atom(35,653
+atom *atom::GetTrueFather(atom::GetTrueFather45,973
+bool atom::Output(61,1416
+bool atom::OutputXYZLine(78,2040
+ostream & operator << operator <<87,2262
+bool atom::Compare(97,2547
+bool operator < operator <105,2652
+
+
+bond.cpp,385
+bond::bond(14,290
+bond::bond(34,691
+bond::bond(52,1136
+bond::~bond(73,1597
+ostream & operator << operator <<84,1788
+atom * bond::GetOtherAtom(94,2199
+bond * bond::GetFirstBond(107,2583
+bond * bond::GetLastBond(116,2865
+enum Shading bond::IsUsed(124,3000
+bool bond::Contains(133,3217
+bool bond::Contains(142,3475
+bool bond::MarkUsed(150,3691
+void bond::ResetUsed(163,3973
+
+
+border.cpp,229
+void Find_next_suitable_point(5,51
+void Tesselation::Find_next_suitable_triangle(63,2078
+void Find_second_point_for_Tesselation(141,4691
+void Tesselation::Find_starting_triangle(173,5558
+void Find_non_convex_border(287,8778
+
+
+boundary.cpp,1347
+BoundaryPointSet::BoundaryPointSet(12,397
+BoundaryPointSet::BoundaryPointSet(18,469
+BoundaryPointSet::~BoundaryPointSet(25,578
+void BoundaryPointSet::AddLine(31,704
+ostream & operator << operator <<42,1045
+BoundaryLineSet::BoundaryLineSet(50,1273
+BoundaryLineSet::BoundaryLineSet(58,1396
+BoundaryLineSet::~BoundaryLineSet(72,1836
+void BoundaryLineSet::AddTriangle(87,2407
+ostream & operator << operator <<94,2656
+BoundaryTriangleSet::BoundaryTriangleSet(103,2939
+BoundaryTriangleSet::BoundaryTriangleSet(112,3075
+BoundaryTriangleSet::~BoundaryTriangleSet(144,4167
+void BoundaryTriangleSet::GetNormalVector(159,4691
+ostream & operator << operator <<169,5082
+class BoundaryPointSet * GetCommonEndpoint(182,5559
+Boundaries * GetBoundaryPoints(209,6893
+double * GetDiametersOfCluster(384,15165
+double VolumeOfConvexEnvelope(470,20313
+void PrepareClustersinWater(610,27033
+Tesselation::Tesselation(692,31276
+Tesselation::~Tesselation(702,31494
+void Tesselation::GuessStartingTriangle(714,31995
+void Tesselation::TesselateOnBoundary(849,39116
+void Tesselation::AddPoint(1003,49558
+void Find_next_suitable_point(1024,50156
+void Tesselation::Find_next_suitable_triangle(1082,52183
+void Find_second_point_for_Tesselation(1160,54796
+void Tesselation::Find_starting_triangle(1192,55663
+void Find_non_convex_border(1306,58883
+
+
+builder.cpp,378
+static void AddAtoms(62,2281
+static void CenterAtoms(259,10538
+static void AlignAtoms(314,12598
+static void MirrorAtoms(382,15117
+static void RemoveAtoms(429,16855
+static void MeasureAtoms(487,18852
+static void FragmentAtoms(598,23710
+static void testroutine(619,24543
+static void SaveConfig(692,27108
+static int ParseCommandLineOptions(771,29725
+int main(1303,56039
+
+
+config.cpp,445
+config::config(13,261
+config::~config(89,2039
+void config::Edit(102,2590
+int config::TestSyntax(367,16198
+bool config::GetIsAngstroem(389,16806
+char * config::GetDefaultPath(397,16955
+void config::SetDefaultPath(406,17101
+void config::RetrieveConfigPathAndName(414,17286
+void config::Load(444,18309
+void config::LoadOld(773,36012
+bool config::Save(977,45063
+bool config::SaveMPQC(1084,52722
+int config::ParseForParameter(1213,58282
+
+
+datacreator.cpp,954
+bool OpenOutputFile(19,468
+bool AppendOutputFile(37,1009
+bool CreateDataEnergyOrder(56,1690
+bool CreateDataDeltaEnergyOrder(89,3244
+bool CreateDataForcesOrder(126,5185
+bool CreateDataDeltaForcesOrder(158,6656
+bool CreateDataDeltaForcesOrderPerAtom(190,8202
+bool CreateDataForcesOrderPerAtom(237,10288
+bool CreateDataFragment(266,11393
+void CreateMaxFragmentOrder(294,12696
+void CreateMinFragmentOrder(311,13550
+bool CreateDataFragmentOrder(331,14537
+void CreateEnergy(358,15708
+void CreateMinimumForce(369,16220
+void CreateMeanForce(403,17598
+void CreateMaximumForce(428,18520
+void CreateSameForce(450,19299
+void CreateVectorSumForce(460,19630
+void CreatePlotHeader(480,20389
+bool CreatePlotOrder(517,21999
+void AbsEnergyPlotLine(538,23154
+void EnergyPlotLine(562,23997
+void ForceMagnitudePlotLine(586,24845
+void AbsFirstForceValuePlotLine(617,26051
+void BoxesForcePlotLine(648,27192
+void BoxesFirstForceValuePlotLine(680,28575
+
+
+element.cpp,112
+element::element(13,270
+element::~element(23,412
+bool element::Output(28,507
+bool element::Checkout(43,1115
+
+
+helpers.cpp,325
+double ask_value(15,316
+void debug_in(30,757
+void debug_in(34,918
+void * Malloc(42,1223
+void * Calloc(56,1671
+void * ReAlloc(71,2182
+void Free(88,2787
+char* MallocString(103,3192
+void bound(121,3685
+void flip(134,3996
+int pot(147,4205
+char *FixedDigitNumber(FixedDigitNumber161,4624
+bool IsValidNumber(188,5558
+
+
+joiner.cpp,17
+int main(17,429
+
+
+moleculelist.cpp,859
+MoleculeListClass::MoleculeListClass(13,290
+MoleculeListClass::MoleculeListClass(21,496
+MoleculeListClass::~MoleculeListClass(33,889
+int MolCompare(52,1584
+void MoleculeListClass::Output(127,3994
+bool MoleculeListClass::AddHydrogenCorrection(142,4664
+bool MoleculeListClass::StoreForcesFile(329,12009
+bool MoleculeListClass::OutputConfigForListOfFragments(382,14293
+MoleculeLeafClass::MoleculeLeafClass(492,18874
+MoleculeLeafClass::~MoleculeLeafClass(512,19382
+bool MoleculeLeafClass::AddLeaf(550,20693
+bool MoleculeLeafClass::FillBondStructureFromReference(564,21475
+bool MoleculeLeafClass::FillRootStackForSubgraphs(622,24472
+bool MoleculeLeafClass::FillListOfLocalAtoms(662,26126
+bool MoleculeLeafClass::AssignKeySetsToFragment(696,27829
+void MoleculeLeafClass::TranslateIndicesToGlobalIDs(762,31354
+int MoleculeLeafClass::Count(786,32584
+
+
+molecules.cpp,4521
+double LSQ 16,351
+molecule::molecule(36,961
+molecule::~molecule(69,1815
+bool molecule::AddAtom(88,2550
+atom * molecule::AddCopyAtom(116,3584
+bool molecule::AddHydrogenReplacementAtom(174,7697
+bool molecule::AddXYZFile(438,21482
+molecule *molecule::CopyMolecule(molecule::CopyMolecule499,23453
+bond * molecule::AddBond(563,25434
+bool molecule::RemoveBond(582,26231
+bool molecule::RemoveBonds(594,26664
+void molecule::SetBoxDimension(603,26931
+bool molecule::CenterInBox(617,27297
+void molecule::CenterEdge(666,28615
+void molecule::CenterOrigin(702,29700
+Vector * molecule::DetermineCenterOfAll(725,30355
+Vector * molecule::DetermineCenterOfGravity(753,31098
+void molecule::CenterGravity(782,31922
+void molecule::Scale(796,32208
+void molecule::Translate(811,32523
+void molecule::Mirror(826,32863
+void molecule::DetermineCenter(841,33204
+void molecule::PrincipalAxisSystem(909,35771
+bool molecule::VerletForceIntegration(1020,39893
+void molecule::Align(1131,44421
+bool molecule::RemoveAtom(1193,46676
+bool molecule::CleanupMolecule(1208,47333
+atom * molecule::FindAtom(1217,47566
+atom * molecule::AskAtom(1231,47958
+bool molecule::CheckBounds(1250,48510
+double LeastSquareDistance 1267,49011
+void molecule::GetAlignvector(1300,50133
+bool molecule::Output(1374,52004
+bool molecule::OutputTrajectories(1409,53012
+void molecule::OutputListOfBonds(1457,55095
+bool molecule::Checkout(1480,55797
+bool molecule::OutputTrajectoriesXYZ(1488,56002
+bool molecule::OutputXYZ(1517,56942
+void molecule::CountAtoms(1544,57672
+void molecule::CountElements(1579,58991
+int molecule::CountCyclicBonds(1601,59545
+string molecule::GetColor(1630,60399
+void molecule::CalculateOrbitals(1655,60877
+void molecule::CreateAdjacencyList(1696,63214
+MoleculeLeafClass * molecule::DepthFirstSearchAnalysis(1884,73778
+void molecule::CyclicStructureAnalysis(2078,84349
+void molecule::SetNextComponentNumber(2284,95178
+void molecule::OutputComponentNumber(2305,95927
+void molecule::InitComponentNumbers(2313,96194
+bond * molecule::FindNextUnused(2330,96839
+void molecule::ResetAllBondsToUnused(2341,97177
+void molecule::ResetAllAtomNumbers(2352,97396
+void OutputAlreadyVisited(2365,97689
+int molecule::GuesstimateFragmentCount(2382,98216
+bool molecule::ScanBufferIntoKeySet(2403,99047
+bool molecule::ParseKeySetFile(2435,100271
+bool molecule::StoreKeySetFile(2515,103341
+bool molecule::StoreAdjacencyToFile(2571,105077
+bool molecule::CheckAdjacencyFileAgainstMolecule(2606,106282
+bool molecule::CheckOrderAtSite(2684,109955
+bool molecule::CreateMappingLabelsToConfigSequence(2847,118616
+int molecule::FragmentMolecule(2892,120867
+bool molecule::PickLocalBackEdges(3084,130811
+bool molecule::StoreOrderAtSiteFile(3121,132491
+bool molecule::ParseOrderAtSiteFromFile(3152,133743
+void molecule::CreateListOfBondsPerAtom(3209,136178
+void molecule::BreadthFirstSearchAdd(3280,139568
+bool molecule::BuildInducedSubgraph(3404,147541
+int molecule::LookForRemovalCandidate(3459,149968
+molecule * molecule::StoreFragmentFromKeySet(3487,151103
+struct UniqueFragments 3782,166770
+  config *configuration;UniqueFragments::configuration3783,166795
+  atom *Root;UniqueFragments::Root3784,166820
+  Graph *Leaflet;UniqueFragments::Leaflet3785,166834
+  KeySet *FragmentSet;UniqueFragments::FragmentSet3786,166852
+  int ANOVAOrder;UniqueFragments::ANOVAOrder3787,166875
+  int FragmentCounter;UniqueFragments::FragmentCounter3788,166893
+  int CurrentIndex;UniqueFragments::CurrentIndex3789,166916
+  double TEFactor;UniqueFragments::TEFactor3790,166936
+  int *ShortestPathList;UniqueFragments::ShortestPathList3791,166955
+  bool **UsedList;UniqueFragments::UsedList3792,166980
+  bond **BondsPerSPList;UniqueFragments::BondsPerSPList3793,166999
+  int *BondsPerSPCount;UniqueFragments::BondsPerSPCount3794,167024
+void molecule::SPFragmentGenerator(3811,168011
+bool molecule::CheckForConnectedSubgraph(3945,176059
+int molecule::PowerSetGenerator(4004,178457
+void molecule::ScanForPeriodicCorrection(4156,186870
+double * molecule::ReturnFullMatrixforSymmetric(4242,190359
+bool KeyCompare::operator() KeyCompare::operator()4257,190766
+inline void InsertFragmentIntoGraph(4294,192008
+inline void InsertGraphIntoGraph(4323,193480
+void molecule::FragmentBOSSANOVA(4357,195580
+inline int CompareDoubles 4547,207047
+int * molecule::IsEqualToWithinThreshold(4563,207650
+int * molecule::GetFatherSonAtomicMap(4688,213580
+bool molecule::OutputTemperatureFromTrajectories(4734,215516
+
+
+parser.cpp,1173
+bool FilePresent(24,588
+bool TestParams(43,1017
+MatrixContainer::MatrixContainer(56,1344
+MatrixContainer::~MatrixContainer(69,1863
+bool MatrixContainer::ParseMatrix(109,3580
+bool MatrixContainer::ParseFragmentMatrix(210,7695
+bool MatrixContainer::AllocateMatrix(260,9629
+bool MatrixContainer::ResetMatrix(284,10737
+double MatrixContainer::FindMaxValue(296,11067
+double MatrixContainer::FindMinValue(312,11530
+bool MatrixContainer::SetLastMatrix(330,12035
+bool MatrixContainer::SetLastMatrix(343,12489
+bool MatrixContainer::SumSubManyBodyTerms(358,13130
+bool MatrixContainer::WriteTotalFragments(412,16895
+bool MatrixContainer::WriteLastMatrix(445,17902
+bool EnergyMatrix::ParseIndices(473,18785
+bool EnergyMatrix::SumSubEnergy(494,19731
+bool EnergyMatrix::ParseFragmentMatrix(518,20903
+bool ForceMatrix::ParseIndices(550,22485
+bool ForceMatrix::SumSubForces(597,24393
+bool ForceMatrix::ParseFragmentMatrix(628,25589
+KeySetsContainer::KeySetsContainer(679,27595
+KeySetsContainer::~KeySetsContainer(690,27804
+bool KeySetsContainer::ParseKeySets(707,28606
+bool KeySetsContainer::ParseManyBodyTerms(751,30268
+bool KeySetsContainer::Contains(814,32310
+
+
+periodentafel.cpp,516
+periodentafel::periodentafel(16,396
+periodentafel::~periodentafel(29,703
+bool periodentafel::AddElement(40,947
+bool periodentafel::RemoveElement(52,1308
+bool periodentafel::CleanupPeriodtable(60,1520
+element * periodentafel::FindElement(70,1786
+element * periodentafel::FindElement(94,2687
+element * periodentafel::AskElement(107,3041
+bool periodentafel::Output(123,3370
+bool periodentafel::Checkout(141,3816
+bool periodentafel::LoadPeriodentafel(166,4629
+bool periodentafel::StorePeriodentafel(305,9306
+
+
+vector.cpp,1457
+Vector::Vector(14,267
+Vector::Vector(18,356
+Vector::~Vector(22,484
+double Vector::Distance(28,639
+double Vector::PeriodicDistance(41,1061
+void Vector::KeepPeriodic(78,2451
+double Vector::ScalarProduct(109,3471
+void Vector::VectorProduct(124,3904
+void Vector::ProjectOntoPlane(139,4272
+double Vector::Projection(151,4570
+double Vector::Norm(159,4723
+void Vector::Normalize(169,4900
+void Vector::Zero(181,5133
+void Vector::One(189,5257
+void Vector::Init(197,5397
+double Vector::Angle(208,5673
+void Vector::RotateVector(217,5940
+Vector& operator+=(operator+=241,6599
+Vector& operator*=(operator*=251,6818
+Vector& operator+(262,7028
+Vector& operator*(275,7281
+bool Vector::Output(287,7510
+ofstream& operator<<(302,7767
+void Vector::Scale(311,7966
+void Vector::Scale(317,8064
+void Vector::Scale(323,8156
+void Vector::Translate(332,8328
+void Vector::MatrixMultiplication(341,8507
+void Vector::InverseMatrixMultiplication(356,8918
+void Vector::LinearCombinationOfVectors(396,10441
+void Vector::Mirror(405,10757
+bool Vector::MakeNormalVector(427,11582
+bool Vector::MakeNormalVector(463,12778
+bool Vector::MakeNormalVector(493,13700
+bool Vector::GetOneNormalVector(512,14285
+double Vector::CutsPlaneAt(558,16093
+bool Vector::LSQdistance(573,16650
+void Vector::AddVector(655,18606
+void Vector::SubtractVector(664,18772
+void Vector::CopyVector(673,18943
+void Vector::AskPosition(684,19258
+bool Vector::SolveSystem(712,20440
+
+
+verbose.cpp,120
+ostream& Verbose::print 7,197
+ostream& operator<<(22,682
+ostream& Binary::print 33,1015
+ostream& operator<<(56,1678
+
+
+graph.cpp,0
